Dates (Groovy 5.0.6)

Package: org.apache.groovy.json.internal

## [Java] Class Dates

- org.apache.groovy.json.internal.Dates

-     public class Dates
      extends Object

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static int` | `JSON_TIME_LENGTH` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static Date` | `fromISO8601(char[] charArray, int from, int to)`
    `` | `public static Date` | `fromJsonDate(char[] charArray, int from, int to)`
    `` | `public static boolean` | `isISO8601(char[] charArray, int start, int to)`
    `` | `public static boolean` | `isISO8601QuickCheck(char[] charArray, int start, int to)`
    `` | `public static boolean` | `isJsonDate(char[] charArray, int start, int to)`
    `` | `public static Date` | `toDate(TimeZone tz, int year, int month, int day, int hour, int minute, int second)`
    `` | `public static Date` | `toDate(TimeZone tz, int year, int month, int day, int hour, int minute, int second, int milliseconds)`
    `` | `public static long` | `utc(long time)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### public static final int JSON_TIME_LENGTH

  - ### Method Detail

    - #### public static Date fromISO8601(char[] charArray, int from, int to)

    - #### public static Date fromJsonDate(char[] charArray, int from, int to)

    - #### public static boolean isISO8601(char[] charArray, int start, int to)

    - #### public static boolean isISO8601QuickCheck(char[] charArray, int start, int to)

    - #### public static boolean isJsonDate(char[] charArray, int start, int to)

    - #### public static Date toDate(TimeZone tz, int year, int month, int day, int hour, int minute, int second)

    - #### public static Date toDate(TimeZone tz, int year, int month, int day, int hour, int minute, int second, int milliseconds)

    - #### public static long utc(long time)